Skip to main content
GET
/
v1
/
my-team
/
screenshot
/
{userId}
Fetch Screenshot
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.trackpilots.com/v1/my-team/screenshot/{userId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "success": true,
  "statusCode": 200,
  "statusMessage": "Fetched my team screenshots successfully",
  "error": {},
  "data": [
    {
      "organisation": {
        "organisationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "team": {
        "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "user": {
        "userId": "ab7c4f30-1024-471a-a767-739df0dc53fd",
        "userName": "Sakthivel Govinthan",
        "profilePicUrl": "https://trackpilots.s3.amazonaws.com/profile-pic/sample.png"
      },
      "screenshot": {
        "thumbnailUrl": "https://trackpilots.s3.amazonaws.com/screenshots/thumbnails/2026/February/07/sample.png",
        "imageUrl": "https://trackpilots.s3.amazonaws.com/screenshots/images/2026/February/07/sample.png"
      },
      "time": {
        "capturedAt": "2026-02-07T16:43:08.364Z"
      },
      "application": {
        "name": "Google Chrome",
        "iconUrl": "https://trackpilots.s3.us-east-1.amazonaws.com/app-icon/world-icon.png",
        "type": "website",
        "category": "Developer Tools",
        "domain": "chatgpt.com",
        "fullUrl": "https://chatgpt.com",
        "productivityStatus": "productive"
      },
      "isIdle": false
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

userId
string<uuid>
required

User ID of the team member

Example:

"ab7c4f30-1024-471a-a767-739df0dc53fd"

Query Parameters

timeZone
string
required

Timezone for logs calculation

Example:

"Asia/Kolkata"

Response

Fetched my team screenshot successfully.

success
boolean
Example:

true

statusCode
integer
Example:

200

statusMessage
string
Example:

"Fetched my team screenshots successfully"

error
object

Error object if request fails, null if successful

data
object[]

List of screenshots captured for particular user